<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::contextManager::test Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager.html">contextManager</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::contextManager::test Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_context_manager_test.html">ContextManagerTest</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Context Manager Test.  <a href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_context_manager_test.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_mock_context_requester.html">MockContextRequester</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_mock_state_provider.html">MockStateProvider</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a805fbd7d150af4a56575cfc709e59ed9"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a805fbd7d150af4a56575cfc709e59ed9">TAG</a> (&quot;ContextManagerTest&quot;)</td></tr>
<tr class="memdesc:a805fbd7d150af4a56575cfc709e59ed9"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#a805fbd7d150af4a56575cfc709e59ed9">More...</a><br /></td></tr>
<tr class="separator:a805fbd7d150af4a56575cfc709e59ed9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3be896dfb42920e056f85c77d95f8150"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a3be896dfb42920e056f85c77d95f8150">NAMESPACE_SPEECH_SYNTHESIZER</a> (&quot;SpeechSynthesizer&quot;)</td></tr>
<tr class="memdesc:a3be896dfb42920e056f85c77d95f8150"><td class="mdescLeft">&#160;</td><td class="mdescRight">Namespace for SpeechSynthesizer.  <a href="#a3be896dfb42920e056f85c77d95f8150">More...</a><br /></td></tr>
<tr class="separator:a3be896dfb42920e056f85c77d95f8150"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb1c0efaa2e9302a0cbccb2877f3dab7"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#abb1c0efaa2e9302a0cbccb2877f3dab7">NAMESPACE_AUDIO_PLAYER</a> (&quot;AudioPlayer&quot;)</td></tr>
<tr class="memdesc:abb1c0efaa2e9302a0cbccb2877f3dab7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Namespace for AudioPlayer.  <a href="#abb1c0efaa2e9302a0cbccb2877f3dab7">More...</a><br /></td></tr>
<tr class="separator:abb1c0efaa2e9302a0cbccb2877f3dab7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04cbbe2ddbf56c3c17b1e560e3a3ad2d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a04cbbe2ddbf56c3c17b1e560e3a3ad2d">NAMESPACE_ALERTS</a> (&quot;Alerts&quot;)</td></tr>
<tr class="memdesc:a04cbbe2ddbf56c3c17b1e560e3a3ad2d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Namespace for Alerts.  <a href="#a04cbbe2ddbf56c3c17b1e560e3a3ad2d">More...</a><br /></td></tr>
<tr class="separator:a04cbbe2ddbf56c3c17b1e560e3a3ad2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9d464f1df4271bd3978a567837be2e3"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#ac9d464f1df4271bd3978a567837be2e3">NAME_SPEECH_STATE</a> (&quot;SpeechState&quot;)</td></tr>
<tr class="memdesc:ac9d464f1df4271bd3978a567837be2e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for SpeechSynthesizer state.  <a href="#ac9d464f1df4271bd3978a567837be2e3">More...</a><br /></td></tr>
<tr class="separator:ac9d464f1df4271bd3978a567837be2e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14bac52d010b24c5115145230b04bc44"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a14bac52d010b24c5115145230b04bc44">NAME_PLAYBACK_STATE</a> (&quot;PlaybackState&quot;)</td></tr>
<tr class="memdesc:a14bac52d010b24c5115145230b04bc44"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for AudioPlayer state.  <a href="#a14bac52d010b24c5115145230b04bc44">More...</a><br /></td></tr>
<tr class="separator:a14bac52d010b24c5115145230b04bc44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94ddcef27036ddfe6700bd32ec15b6dd"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a94ddcef27036ddfe6700bd32ec15b6dd">NAME_ALERTS_STATE</a> (&quot;AlertsState&quot;)</td></tr>
<tr class="memdesc:a94ddcef27036ddfe6700bd32ec15b6dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for Alerts state.  <a href="#a94ddcef27036ddfe6700bd32ec15b6dd">More...</a><br /></td></tr>
<tr class="separator:a94ddcef27036ddfe6700bd32ec15b6dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadfd17965c2a0b580cd868d70a949b0a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#aadfd17965c2a0b580cd868d70a949b0a">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_context_manager_test.html">ContextManagerTest</a>, test_setStateForRegisteredProvider)</td></tr>
<tr class="separator:aadfd17965c2a0b580cd868d70a949b0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5420f5b46d359ad0efcde657832765d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#ad5420f5b46d359ad0efcde657832765d">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_context_manager_test.html">ContextManagerTest</a>, test_setStateForUnregisteredProvider)</td></tr>
<tr class="separator:ad5420f5b46d359ad0efcde657832765d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f68a6b1ecd16fe6d1a31d27c91ef523"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a6f68a6b1ecd16fe6d1a31d27c91ef523">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_context_manager_test.html">ContextManagerTest</a>, test_setStateForUnregisteredProviderWithRefreshPolicyAlways)</td></tr>
<tr class="separator:a6f68a6b1ecd16fe6d1a31d27c91ef523"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4d165a1d5b9412108428a25d1ea8d37"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#ab4d165a1d5b9412108428a25d1ea8d37">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_context_manager_test.html">ContextManagerTest</a>, test_getContext)</td></tr>
<tr class="separator:ab4d165a1d5b9412108428a25d1ea8d37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4830c08b9ac869cd5a00db5d2a64cede"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a4830c08b9ac869cd5a00db5d2a64cede">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_context_manager_test.html">ContextManagerTest</a>, test_multipleGetContextRequests)</td></tr>
<tr class="separator:a4830c08b9ac869cd5a00db5d2a64cede"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add9b84c47898696fe5fb729c98232338"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#add9b84c47898696fe5fb729c98232338">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_context_manager_test.html">ContextManagerTest</a>, test_setProviderTwice)</td></tr>
<tr class="separator:add9b84c47898696fe5fb729c98232338"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c0bc832e063b3fc965223878f3ecf5e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a1c0bc832e063b3fc965223878f3ecf5e">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_context_manager_test.html">ContextManagerTest</a>, test_provideStateTimeout)</td></tr>
<tr class="separator:a1c0bc832e063b3fc965223878f3ecf5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea328938a6aca7a540d27d30a3c96e96"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#aea328938a6aca7a540d27d30a3c96e96">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_context_manager_test.html">ContextManagerTest</a>, test_removeProvider)</td></tr>
<tr class="separator:aea328938a6aca7a540d27d30a3c96e96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd52caa332e57d93d63793f1a1765252"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#abd52caa332e57d93d63793f1a1765252">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_context_manager_test.html">ContextManagerTest</a>, test_incorrectToken)</td></tr>
<tr class="separator:abd52caa332e57d93d63793f1a1765252"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c3f0ee7eecd2f89e09e23cf6e14e779"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a7c3f0ee7eecd2f89e09e23cf6e14e779">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_context_manager_test.html">ContextManagerTest</a>, test_emptyProvider)</td></tr>
<tr class="separator:a7c3f0ee7eecd2f89e09e23cf6e14e779"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a15953f2e68feb286b1ddc5f95277ab2a"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a15953f2e68feb286b1ddc5f95277ab2a">SPEECH_SYNTHESIZER_PAYLOAD_PLAYING</a></td></tr>
<tr class="memdesc:a15953f2e68feb286b1ddc5f95277ab2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Payload for SpeechSynthesizer state when it is playing back audio.  <a href="#a15953f2e68feb286b1ddc5f95277ab2a">More...</a><br /></td></tr>
<tr class="separator:a15953f2e68feb286b1ddc5f95277ab2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84089e37c687684408b7450ad198b781"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a84089e37c687684408b7450ad198b781">SPEECH_SYNTHESIZER_PAYLOAD_FINISHED</a></td></tr>
<tr class="memdesc:a84089e37c687684408b7450ad198b781"><td class="mdescLeft">&#160;</td><td class="mdescRight">Payload for SpeechSynthesizer state when playback has finished.  <a href="#a84089e37c687684408b7450ad198b781">More...</a><br /></td></tr>
<tr class="separator:a84089e37c687684408b7450ad198b781"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04911a150a972dd7055402085d02aef0"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a04911a150a972dd7055402085d02aef0">AUDIO_PLAYER_PAYLOAD</a></td></tr>
<tr class="memdesc:a04911a150a972dd7055402085d02aef0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Payload for AudioPlayer.  <a href="#a04911a150a972dd7055402085d02aef0">More...</a><br /></td></tr>
<tr class="separator:a04911a150a972dd7055402085d02aef0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7067dfbc9e66e470ecea8cf930893a25"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a7067dfbc9e66e470ecea8cf930893a25">ALERTS_PAYLOAD</a></td></tr>
<tr class="memdesc:a7067dfbc9e66e470ecea8cf930893a25"><td class="mdescLeft">&#160;</td><td class="mdescRight">Payload for Alerts.  <a href="#a7067dfbc9e66e470ecea8cf930893a25">More...</a><br /></td></tr>
<tr class="separator:a7067dfbc9e66e470ecea8cf930893a25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad33ae083f38acb00731abdc0a5b09526"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#ad33ae083f38acb00731abdc0a5b09526">CONTEXT_TEST</a></td></tr>
<tr class="memdesc:ad33ae083f38acb00731abdc0a5b09526"><td class="mdescLeft">&#160;</td><td class="mdescRight">Context used for testing.  <a href="#ad33ae083f38acb00731abdc0a5b09526">More...</a><br /></td></tr>
<tr class="separator:ad33ae083f38acb00731abdc0a5b09526"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3e88a475a810ffd48debb1f4c2910bd"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#ac3e88a475a810ffd48debb1f4c2910bd">DEFAULT_SLEEP_TIME</a> = std::chrono::milliseconds(10)</td></tr>
<tr class="memdesc:ac3e88a475a810ffd48debb1f4c2910bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default time <code>doProvide</code> sleeps before it calls <code>setState</code>.  <a href="#ac3e88a475a810ffd48debb1f4c2910bd">More...</a><br /></td></tr>
<tr class="separator:ac3e88a475a810ffd48debb1f4c2910bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1806bc3f86fdbd7e31f6da872b015a49"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a1806bc3f86fdbd7e31f6da872b015a49">TIMEOUT_SLEEP_TIME</a> = std::chrono::milliseconds(100)</td></tr>
<tr class="memdesc:a1806bc3f86fdbd7e31f6da872b015a49"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time <code>doProvide</code> sleeps before it calls <code>setState</code> to induce a timeout.  <a href="#a1806bc3f86fdbd7e31f6da872b015a49">More...</a><br /></td></tr>
<tr class="separator:a1806bc3f86fdbd7e31f6da872b015a49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a795da65b8cc0e349996aeeeaed0c4709"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a795da65b8cc0e349996aeeeaed0c4709">DEFAULT_TIMEOUT</a> = std::chrono::milliseconds(50)</td></tr>
<tr class="separator:a795da65b8cc0e349996aeeeaed0c4709"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdd542e18e6d455f0769cb0b78ab48ad"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#acdd542e18e6d455f0769cb0b78ab48ad">FAILURE_TIMEOUT</a> = std::chrono::milliseconds(220)</td></tr>
<tr class="memdesc:acdd542e18e6d455f0769cb0b78ab48ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timeout for the <code>ContextRequester</code> to get the failure.  <a href="#acdd542e18e6d455f0769cb0b78ab48ad">More...</a><br /></td></tr>
<tr class="separator:acdd542e18e6d455f0769cb0b78ab48ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7aba5187fbee22f4e8dedc662fbf7f62"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a7aba5187fbee22f4e8dedc662fbf7f62">SPEECH_SYNTHESIZER</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a3be896dfb42920e056f85c77d95f8150">NAMESPACE_SPEECH_SYNTHESIZER</a>, <a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#ac9d464f1df4271bd3978a567837be2e3">NAME_SPEECH_STATE</a>)</td></tr>
<tr class="memdesc:a7aba5187fbee22f4e8dedc662fbf7f62"><td class="mdescLeft">&#160;</td><td class="mdescRight">SpeechSynthesizer namespace and name.  <a href="#a7aba5187fbee22f4e8dedc662fbf7f62">More...</a><br /></td></tr>
<tr class="separator:a7aba5187fbee22f4e8dedc662fbf7f62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe5e566d88492bbd6eb8ff1a99e4543e"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#afe5e566d88492bbd6eb8ff1a99e4543e">AUDIO_PLAYER</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#abb1c0efaa2e9302a0cbccb2877f3dab7">NAMESPACE_AUDIO_PLAYER</a>, <a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a14bac52d010b24c5115145230b04bc44">NAME_PLAYBACK_STATE</a>)</td></tr>
<tr class="memdesc:afe5e566d88492bbd6eb8ff1a99e4543e"><td class="mdescLeft">&#160;</td><td class="mdescRight">AudioPlayer namespace and name.  <a href="#afe5e566d88492bbd6eb8ff1a99e4543e">More...</a><br /></td></tr>
<tr class="separator:afe5e566d88492bbd6eb8ff1a99e4543e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60006da876ad32a44d9ab6802f84bec0"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a60006da876ad32a44d9ab6802f84bec0">ALERTS</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a04cbbe2ddbf56c3c17b1e560e3a3ad2d">NAMESPACE_ALERTS</a>, <a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a94ddcef27036ddfe6700bd32ec15b6dd">NAME_ALERTS_STATE</a>)</td></tr>
<tr class="memdesc:a60006da876ad32a44d9ab6802f84bec0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Alerts namespace and name.  <a href="#a60006da876ad32a44d9ab6802f84bec0">More...</a><br /></td></tr>
<tr class="separator:a60006da876ad32a44d9ab6802f84bec0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a969ce9e1355290250dcd5f0a211a07fd"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a969ce9e1355290250dcd5f0a211a07fd">DUMMY_PROVIDER</a> (&quot;Dummy&quot;, &quot;DummyName&quot;)</td></tr>
<tr class="memdesc:a969ce9e1355290250dcd5f0a211a07fd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dummy provider namespace and name.  <a href="#a969ce9e1355290250dcd5f0a211a07fd">More...</a><br /></td></tr>
<tr class="separator:a969ce9e1355290250dcd5f0a211a07fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a94ddcef27036ddfe6700bd32ec15b6dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94ddcef27036ddfe6700bd32ec15b6dd">&#9670;&nbsp;</a></span>NAME_ALERTS_STATE()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::contextManager::test::NAME_ALERTS_STATE </td>
          <td>(</td>
          <td class="paramtype">&quot;AlertsState&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name for Alerts state. </p>

</div>
</div>
<a id="a14bac52d010b24c5115145230b04bc44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14bac52d010b24c5115145230b04bc44">&#9670;&nbsp;</a></span>NAME_PLAYBACK_STATE()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::contextManager::test::NAME_PLAYBACK_STATE </td>
          <td>(</td>
          <td class="paramtype">&quot;PlaybackState&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name for AudioPlayer state. </p>

</div>
</div>
<a id="ac9d464f1df4271bd3978a567837be2e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9d464f1df4271bd3978a567837be2e3">&#9670;&nbsp;</a></span>NAME_SPEECH_STATE()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::contextManager::test::NAME_SPEECH_STATE </td>
          <td>(</td>
          <td class="paramtype">&quot;SpeechState&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name for SpeechSynthesizer state. </p>

</div>
</div>
<a id="a04cbbe2ddbf56c3c17b1e560e3a3ad2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04cbbe2ddbf56c3c17b1e560e3a3ad2d">&#9670;&nbsp;</a></span>NAMESPACE_ALERTS()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::contextManager::test::NAMESPACE_ALERTS </td>
          <td>(</td>
          <td class="paramtype">&quot;Alerts&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Namespace for Alerts. </p>

</div>
</div>
<a id="abb1c0efaa2e9302a0cbccb2877f3dab7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb1c0efaa2e9302a0cbccb2877f3dab7">&#9670;&nbsp;</a></span>NAMESPACE_AUDIO_PLAYER()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::contextManager::test::NAMESPACE_AUDIO_PLAYER </td>
          <td>(</td>
          <td class="paramtype">&quot;AudioPlayer&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Namespace for AudioPlayer. </p>

</div>
</div>
<a id="a3be896dfb42920e056f85c77d95f8150"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3be896dfb42920e056f85c77d95f8150">&#9670;&nbsp;</a></span>NAMESPACE_SPEECH_SYNTHESIZER()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::contextManager::test::NAMESPACE_SPEECH_SYNTHESIZER </td>
          <td>(</td>
          <td class="paramtype">&quot;SpeechSynthesizer&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Namespace for SpeechSynthesizer. </p>

</div>
</div>
<a id="a805fbd7d150af4a56575cfc709e59ed9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a805fbd7d150af4a56575cfc709e59ed9">&#9670;&nbsp;</a></span>TAG()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::contextManager::test::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;ContextManagerTest&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<a id="aadfd17965c2a0b580cd868d70a949b0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadfd17965c2a0b580cd868d70a949b0a">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[1/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::contextManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_context_manager_test.html">ContextManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_setStateForRegisteredProvider&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Set the state with a <code>StateRefreshPolicy</code> <code>ALWAYS</code> for a <code>StateProviderInterface</code> that is registered with the <code><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></code>. Expect <code>SetStateResult</code> <code>SUCCESS</code> is returned. </p>

</div>
</div>
<a id="ad5420f5b46d359ad0efcde657832765d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5420f5b46d359ad0efcde657832765d">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[2/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::contextManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_context_manager_test.html">ContextManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_setStateForUnregisteredProvider&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Set the state with a <code>StateRefreshPolicy</code> <code>NEVER</code> for a <code>StateProviderInterface</code> that is not registered with the <code><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></code>. Expect <code>SetStateResult</code> <code>SUCCESS</code> is returned. </p>

</div>
</div>
<a id="a6f68a6b1ecd16fe6d1a31d27c91ef523"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f68a6b1ecd16fe6d1a31d27c91ef523">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[3/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::contextManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_context_manager_test.html">ContextManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_setStateForUnregisteredProviderWithRefreshPolicyAlways&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Set the state with a <code>StateRefreshPolicy</code> <code>ALWAYS</code> for a <code>StateProviderInterface</code> that is not registered with the <code><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></code>. Expect <code>SetStateResult</code> <code>STATE_PROVIDER_NOT_REGISTERED</code> is returned. </p>

</div>
</div>
<a id="ab4d165a1d5b9412108428a25d1ea8d37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4d165a1d5b9412108428a25d1ea8d37">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[4/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::contextManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_context_manager_test.html">ContextManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_getContext&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Set the states with a <code>StateRefreshPolicy</code> <code>ALWAYS</code> for <code>StateProviderInterfaces</code> that are registered with the <code><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></code>. Request for context by calling <code>getContext</code>. Expect that the context is returned within the timeout period. Check the context that is returned by the <code><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></code>. Expect it should match the test value. </p>

</div>
</div>
<a id="a4830c08b9ac869cd5a00db5d2a64cede"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4830c08b9ac869cd5a00db5d2a64cede">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[5/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::contextManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_context_manager_test.html">ContextManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_multipleGetContextRequests&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Set the states with a <code>StateRefreshPolicy</code> <code>ALWAYS</code> for <code>StateProviderInterfaces</code> that are registered with the <code><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></code>. Request for context by calling <code>getContext</code> by multiple requesters. Expect that the context is returned to each of the requesters within the timeout period. </p>

</div>
</div>
<a id="add9b84c47898696fe5fb729c98232338"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add9b84c47898696fe5fb729c98232338">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[6/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::contextManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_context_manager_test.html">ContextManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_setProviderTwice&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Set the states with a <code>StateRefreshPolicy</code> <code>ALWAYS</code> for <code>StateProviderInterfaces</code> that are registered with the <code><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></code>. Request for context by calling <code>getContext</code>. Expect that the context is returned within the timeout period. Check the context that is returned by the <code><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></code>. Expect it should match the test value. Register a registered <code>StateProviderInterface</code> again with the <code><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></code>. Then set the state for the same <code>StateProviderInterface</code> with a <code>StateRefreshPolicy</code> <code>ALWAYS</code>. Expect <code>SetStateResult</code> <code>SUCCESS</code> is returned. Request for context by calling <code>getContext</code>. Expect that the context is returned within the timeout period. Check the context that is returned by the <code><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></code> matches the test context. </p>

</div>
</div>
<a id="a1c0bc832e063b3fc965223878f3ecf5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c0bc832e063b3fc965223878f3ecf5e">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[7/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::contextManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_context_manager_test.html">ContextManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_provideStateTimeout&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Register a <code>StateProviderInterfaces</code> with the <code><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></code> which responds slowly to  requests. Set the states with a <code>StateRefreshPolicy</code> <code>ALWAYS</code> for <code>StateProviderInterfaces</code>. Request for context by calling <code>getContext</code>. Expect that failure occurs due to timeout. </p>

</div>
</div>
<a id="aea328938a6aca7a540d27d30a3c96e96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea328938a6aca7a540d27d30a3c96e96">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[8/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::contextManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_context_manager_test.html">ContextManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_removeProvider&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Remove a <code>StateProviderInterface</code> that was registered with the <code><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></code>. Set the state with a <code>StateRefreshPolicy</code> <code>ALWAYS</code> for the <code>StateProviderInterface</code> that was unregistered. Expect <code>SetStateResult</code> <code>STATE_PROVIDER_NOT_REGISTERED</code> is returned. </p>

</div>
</div>
<a id="abd52caa332e57d93d63793f1a1765252"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd52caa332e57d93d63793f1a1765252">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[9/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::contextManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_context_manager_test.html">ContextManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_incorrectToken&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Request for context by calling <code>getContextSet</code>. Wait for context. Set the state for a <code>StateProviderInterface</code> that is registered with the <code><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></code> with a wrong token value. Expect that <code>SetStateResult</code> <code>STATE_TOKEN_OUTDATED</code> is returned. </p>

</div>
</div>
<a id="a7c3f0ee7eecd2f89e09e23cf6e14e779"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c3f0ee7eecd2f89e09e23cf6e14e779">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[10/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::contextManager::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_context_manager_test.html">ContextManagerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_emptyProvider&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Set the states with a <code>StateRefreshPolicy</code> <code>ALWAYS</code> for <code>StateProviderInterfaces</code> that are registered with the <code><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></code>. Request for context by calling <code>getContext</code>. Expect that the context is returned within the timeout period.</p>
<p class="">There's a dummyProvider with StateRefreshPolicy <code>SOMETIMES</code> that returns an empty context. Check <a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a> is okay with it and would include the context provided by the dummyProvider.</p>
<p class="">Check the context that is returned by the <code><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></code>. Expect it should match the test value. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a60006da876ad32a44d9ab6802f84bec0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60006da876ad32a44d9ab6802f84bec0">&#9670;&nbsp;</a></span>ALERTS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a> alexaClientSDK::contextManager::test::ALERTS(<a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a04cbbe2ddbf56c3c17b1e560e3a3ad2d">NAMESPACE_ALERTS</a>, <a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a94ddcef27036ddfe6700bd32ec15b6dd">NAME_ALERTS_STATE</a>)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Alerts namespace and name. </p>

</div>
</div>
<a id="a7067dfbc9e66e470ecea8cf930893a25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7067dfbc9e66e470ecea8cf930893a25">&#9670;&nbsp;</a></span>ALERTS_PAYLOAD</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::contextManager::test::ALERTS_PAYLOAD</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">    <span class="stringliteral">&quot;{&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;allAlerts\&quot;: [&quot;</span></div><div class="line">    <span class="stringliteral">&quot;{&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;token\&quot;: \&quot;\&quot;,&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;type\&quot;: \&quot;TIMER\&quot;,&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;scheduledTime\&quot;: \&quot;\&quot;&quot;</span></div><div class="line">    <span class="stringliteral">&quot;}&quot;</span></div><div class="line">    <span class="stringliteral">&quot;],&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;activeAlerts\&quot;: [&quot;</span></div><div class="line">    <span class="stringliteral">&quot;{&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;token\&quot;: \&quot;\&quot;,&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;type\&quot;: \&quot;TIMER\&quot;,&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;scheduledTime\&quot;: \&quot;\&quot;&quot;</span></div><div class="line">    <span class="stringliteral">&quot;}&quot;</span></div><div class="line">    <span class="stringliteral">&quot;]&quot;</span></div><div class="line">    <span class="stringliteral">&quot;}&quot;</span></div></div><!-- fragment -->
<p>Payload for Alerts. </p>

</div>
</div>
<a id="afe5e566d88492bbd6eb8ff1a99e4543e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe5e566d88492bbd6eb8ff1a99e4543e">&#9670;&nbsp;</a></span>AUDIO_PLAYER</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a> alexaClientSDK::contextManager::test::AUDIO_PLAYER(<a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#abb1c0efaa2e9302a0cbccb2877f3dab7">NAMESPACE_AUDIO_PLAYER</a>, <a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a14bac52d010b24c5115145230b04bc44">NAME_PLAYBACK_STATE</a>)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>AudioPlayer namespace and name. </p>

</div>
</div>
<a id="a04911a150a972dd7055402085d02aef0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04911a150a972dd7055402085d02aef0">&#9670;&nbsp;</a></span>AUDIO_PLAYER_PAYLOAD</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::contextManager::test::AUDIO_PLAYER_PAYLOAD</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">    <span class="stringliteral">&quot;{&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;playerActivity\&quot;:\&quot;FINISHED\&quot;,&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;offsetInMilliseconds\&quot;:0,&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;token\&quot;:\&quot;\&quot;&quot;</span></div><div class="line">    <span class="stringliteral">&quot;}&quot;</span></div></div><!-- fragment -->
<p>Payload for AudioPlayer. </p>

</div>
</div>
<a id="ad33ae083f38acb00731abdc0a5b09526"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad33ae083f38acb00731abdc0a5b09526">&#9670;&nbsp;</a></span>CONTEXT_TEST</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::contextManager::test::CONTEXT_TEST</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">    <span class="stringliteral">&quot;{&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;context\&quot;:[&quot;</span></div><div class="line">    <span class="stringliteral">&quot;{&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;header\&quot;:{&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;namespace\&quot;:\&quot;AudioPlayer\&quot;,&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;name\&quot;:\&quot;PlaybackState\&quot;&quot;</span></div><div class="line">    <span class="stringliteral">&quot;},&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;payload\&quot;:{&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;playerActivity\&quot;:\&quot;FINISHED\&quot;,&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;offsetInMilliseconds\&quot;:0,&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;token\&quot;:\&quot;\&quot;&quot;</span></div><div class="line">    <span class="stringliteral">&quot;}&quot;</span></div><div class="line">    <span class="stringliteral">&quot;},&quot;</span></div><div class="line">    <span class="stringliteral">&quot;{&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;header\&quot;:{&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;namespace\&quot;:\&quot;SpeechSynthesizer\&quot;,&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;name\&quot;:\&quot;SpeechState\&quot;&quot;</span></div><div class="line">    <span class="stringliteral">&quot;},&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;payload\&quot;:{&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;playerActivity\&quot;:\&quot;FINISHED\&quot;,&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;offsetInMilliseconds\&quot;:0,&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;token\&quot;:\&quot;\&quot;&quot;</span></div><div class="line">    <span class="stringliteral">&quot;}&quot;</span></div><div class="line">    <span class="stringliteral">&quot;}&quot;</span></div><div class="line">    <span class="stringliteral">&quot;]&quot;</span></div><div class="line">    <span class="stringliteral">&quot;}&quot;</span></div></div><!-- fragment -->
<p>Context used for testing. </p>

</div>
</div>
<a id="ac3e88a475a810ffd48debb1f4c2910bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3e88a475a810ffd48debb1f4c2910bd">&#9670;&nbsp;</a></span>DEFAULT_SLEEP_TIME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::chrono::milliseconds alexaClientSDK::contextManager::test::DEFAULT_SLEEP_TIME = std::chrono::milliseconds(10)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default time <code>doProvide</code> sleeps before it calls <code>setState</code>. </p>

</div>
</div>
<a id="a795da65b8cc0e349996aeeeaed0c4709"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a795da65b8cc0e349996aeeeaed0c4709">&#9670;&nbsp;</a></span>DEFAULT_TIMEOUT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::chrono::milliseconds alexaClientSDK::contextManager::test::DEFAULT_TIMEOUT = std::chrono::milliseconds(50)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Default timeout for the <code>ContextRequester</code> to get the context.This needs to be modified if the <code>TIMEOUT_SLEEP_TIME</code> is modified. The value should be less than the <code>TIMEOUT_SLEEP_TIME</code>. </p>

</div>
</div>
<a id="a969ce9e1355290250dcd5f0a211a07fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a969ce9e1355290250dcd5f0a211a07fd">&#9670;&nbsp;</a></span>DUMMY_PROVIDER</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a> alexaClientSDK::contextManager::test::DUMMY_PROVIDER(&quot;Dummy&quot;, &quot;DummyName&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Dummy provider namespace and name. </p>

</div>
</div>
<a id="acdd542e18e6d455f0769cb0b78ab48ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdd542e18e6d455f0769cb0b78ab48ad">&#9670;&nbsp;</a></span>FAILURE_TIMEOUT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::chrono::milliseconds alexaClientSDK::contextManager::test::FAILURE_TIMEOUT = std::chrono::milliseconds(220)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Timeout for the <code>ContextRequester</code> to get the failure. </p>

</div>
</div>
<a id="a7aba5187fbee22f4e8dedc662fbf7f62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7aba5187fbee22f4e8dedc662fbf7f62">&#9670;&nbsp;</a></span>SPEECH_SYNTHESIZER</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a> alexaClientSDK::contextManager::test::SPEECH_SYNTHESIZER(<a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a3be896dfb42920e056f85c77d95f8150">NAMESPACE_SPEECH_SYNTHESIZER</a>, <a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#ac9d464f1df4271bd3978a567837be2e3">NAME_SPEECH_STATE</a>)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>SpeechSynthesizer namespace and name. </p>

</div>
</div>
<a id="a84089e37c687684408b7450ad198b781"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84089e37c687684408b7450ad198b781">&#9670;&nbsp;</a></span>SPEECH_SYNTHESIZER_PAYLOAD_FINISHED</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::contextManager::test::SPEECH_SYNTHESIZER_PAYLOAD_FINISHED</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">    <span class="stringliteral">&quot;{&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;playerActivity\&quot;:\&quot;FINISHED\&quot;,&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;offsetInMilliseconds\&quot;:0,&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;token\&quot;:\&quot;\&quot;&quot;</span></div><div class="line">    <span class="stringliteral">&quot;}&quot;</span></div></div><!-- fragment -->
<p>Payload for SpeechSynthesizer state when playback has finished. </p>

</div>
</div>
<a id="a15953f2e68feb286b1ddc5f95277ab2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15953f2e68feb286b1ddc5f95277ab2a">&#9670;&nbsp;</a></span>SPEECH_SYNTHESIZER_PAYLOAD_PLAYING</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::contextManager::test::SPEECH_SYNTHESIZER_PAYLOAD_PLAYING</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">    <span class="stringliteral">&quot;{&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;playerActivity\&quot;:\&quot;PLAYING\&quot;,&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;offsetInMilliseconds\&quot;:5,&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;token\&quot;:\&quot;\&quot;&quot;</span></div><div class="line">    <span class="stringliteral">&quot;}&quot;</span></div></div><!-- fragment -->
<p>Payload for SpeechSynthesizer state when it is playing back audio. </p>

</div>
</div>
<a id="a1806bc3f86fdbd7e31f6da872b015a49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1806bc3f86fdbd7e31f6da872b015a49">&#9670;&nbsp;</a></span>TIMEOUT_SLEEP_TIME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::chrono::milliseconds alexaClientSDK::contextManager::test::TIMEOUT_SLEEP_TIME = std::chrono::milliseconds(100)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Time <code>doProvide</code> sleeps before it calls <code>setState</code> to induce a timeout. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
